/* Copyright (C) 2023 FIAS Frankfurt Institute for Advanced Studies, Frankfurt / Main
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Felix Weiglhofer [committer] */
#ifndef CBM_ALGO_BASE_COMPAT_ONLINEDATALOG_H
#define CBM_ALGO_BASE_COMPAT_ONLINEDATALOG_H

#ifndef NO_ROOT
// Do not include FairLogger in GPU code (header might not be available)
// FIXME: Ensure NO_ROOT is defined for GPU compilation
#if !defined(__NVCC__) && !defined(__HIPCC__) && !defined(SYCL_LANGUAGE_VERSION)
#define CBM_ONLINE_USE_FAIRLOGGER
#endif
#endif

#ifdef CBM_ONLINE_USE_FAIRLOGGER

#include <fairlogger/Logger.h>

#else

#ifndef LOG

#include <log.hpp>
static constexpr severity_level warn = severity_level::warning;
#define LOG(level) L_(level)

#endif  // LOG

#endif  // CBM_ONLINE_USE_FAIRLOGGER

#endif  // CBM_ALGO_BASE_COMPAT_ONLINEDATALOG_H
